;
PRO HEADERS,POS,LINE,TEXT
;      +----------------------------------------------------------+
;      | Program to output informational text on a plot page.  In |
;      | the  case  of multiple panels, you must set the viewport |
;      | back to full page before calling this. POS=4 and  LINE=2 |
;      | conflict with the position of TIME                       |
;      +----------------------------------------------------------+
;      | POS   = 1 ==> top left                                   |
;      |       = 2 ==> top right                                  |
;      |       = 3 ==> bottom right                               |
;      |       = 4 ==> bottom left                                |
;      | LINE  = 1 first line                                     |
;      |       = 2 second line                                    |
;      +----------------------------------------------------------+
;      +----------------------------------------------------------+
;      | Following values determined empirically                  |
;      +----------------------------------------------------------+
ytop=!p.position(3)+float(line)/40.
ybot=!p.position(1)-((float(line)+1.8)/40.)
strsiz=(strlen(text)+1)/80.
case pos of
   1: xyouts,!p.position(0),ytop,text,/normal,size=0.8
   2: xyouts,!p.position(2),ytop,text,/normal,size=0.8,align=1.0  
   3: xyouts,!p.position(2),ybot,text,/normal,size=0.8,align=1.0    
   4: xyouts,!p.position(0),ybot,text,/normal,size=0.8  
   endcase
return
end
;
